<h1>Новый заказ</h1>

<%= form_with model: @order do |form| %>
  <b>Данные клиента</b>
  <%= form.fields_for :client do |client_form| %>
    <div> Номер клиента <%= client_form.text_field :client_num %> </div>
    <div> Имя клиента <%= client_form.text_field :name %> </div>
    <div> Фамилия клиента <%= client_form.text_field :surname %> </div>
    <div> Почтовый индекс клиента <%= client_form.text_field :postcode %> </div>
  <% end %>

  <br/>
  <b>Содержимое заказа</b>
  <%= form.fields_for :items do |items_form| %>
    <li>
      ID предмета <%= items_form.text_field :item_num %>
      Количество <%= items_form.text_field :quantity %>
    </li>
  <% end %>

  <br/>
  <div>
    <%= form.submit %>
  </div>
<% end %>

<% if @order.errors.any? %>
  <div id="error_explanation">
    <h2>Невозможно сохранить!</h2>

    <ul>
      <% @order.errors.each do |error| %>
        <li><%= error.full_message %></li>
      <% end %>
    </ul>
  </div>
<% end %>


